<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
    
	<xsl:param name="doclist"/>
	<xsl:param name="docid" nk:class="java.lang.String"/>
	<xsl:param name="bookid" nk:class="java.lang.String"/>
	
	<xsl:variable name="docs" select="$doclist//doc"/>
	
	<xsl:template match="/book">
		<div valign="top">
			<div>
				<xsl:apply-templates select="toc/item|toc/separator"/>
			</div>
		</div>
    </xsl:template>
	
	<xsl:template match="item">
		<xsl:variable name="hasdesc" select="@id=$docid or descendant::item/@id=$docid"/>
		<div class="menuitem">
			<div>
			<xsl:if test="@id=$docid">
				<xsl:attribute name="class">menuitem-selected</xsl:attribute>
			</xsl:if>
			<a href="/book/view/{$bookid}/{@id}">
				<xsl:variable name="id" select="@id"/>
				<xsl:attribute name="title">
					<xsl:value-of select="$docs[id=$id]/desc"/>
				</xsl:attribute>
			<xsl:choose>
				<xsl:when test="item ">
					<xsl:choose>
						<xsl:when test="$hasdesc">
							<img src="/nkse/style/img/minus.png" border="0"/>
						</xsl:when>
						<xsl:otherwise>
							<img src="/nkse/style/img/plus.png" border="0"/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:when>
				<xsl:otherwise>
					<img src="/nkse/style/img/doc.png" border="0"/>
				</xsl:otherwise>
			</xsl:choose>
			
			<!-- text of menu -->
			<xsl:choose>
				<xsl:when test="@title">
					<xsl:value-of select="@title"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:variable name="id" select="@id"/>
					<xsl:value-of select="$docs[id=$id]/title"/>
				</xsl:otherwise>
			</xsl:choose>
			
			</a>
			</div>
			<xsl:if test="$hasdesc and count(*)">
				<div class="menu-indent">
					<xsl:apply-templates select="*"/>
				</div>
			</xsl:if>
		</div>
	</xsl:template>
	
	<xsl:template match="separator">
		<div class="menuitem-separator"><span></span></div>
	</xsl:template>
	
</xsl:stylesheet>
