<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml" omit-xml-declaration="yes"/>
	
	<xsl:param name="filter" nk:class="java.lang.String"/>
	<xsl:variable name="FILTER" select="translate($filter,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
	<xsl:param name="modules"/>
	
	
	<xsl:template match="/spaces">
		<div>
			<script language="Javascript"><xsl:comment>
				function reset2()
				{	document.form.filter.value="";
					document.form.submit();
				}
			</xsl:comment></script>
			<form action="" method="GET" name="form">
			<table class="form-table">
				<tr>
				<td class="label">Filter:</td>
				<td><input type="text" name="filter" value="{$filter}" title="Filter by substring match on module URI or book title"/> </td>
				<td><input type="submit" value="Filter" class="btn"/></td>
				<td><input type="button"  value="Reset" onclick="reset2()" class="btn"/></td>
				</tr>
			</table>
			</form>

			<table style="border-spacing: 1px;" width="600">			
				<xsl:for-each select="space[books/book]">
				  	<xsl:sort select="books/@priority" order="descending" />
					<xsl:sort select="id" />
					<xsl:variable name="c1" select="position()"/>
					
					<xsl:variable name="ID" select="translate(id,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ')"/>
					<xsl:variable name="id" select="id"/>
					<xsl:for-each select="books/book[ (contains($ID, $FILTER) or contains(translate(title,'abcdefghijklmnopqrstuvwxyz','ABCDEFGHIJKLMNOPQRSTUVWXYZ'), $FILTER)) ]">
						<xsl:variable name="c2" select="position()+$c1"/>
						<tr>
							<xsl:attribute name="class">
								<xsl:choose>
									<xsl:when test="($c2 mod 2)=0">highrow</xsl:when>
									<xsl:otherwise>highrow</xsl:otherwise>
								</xsl:choose>
							</xsl:attribute>
							
							<td>
								<a href="/book/view/{id}/" class="template-lbi">
									<div > 
										<div style="float: left; margin: 2px;">
											<img src="/book/icon/{id}" width="48" height="48" />
										</div>
										<div class="template-icon-title">
											<xsl:value-of select="title" />
										</div>
										<div class="template-icon-subtitle">
											<xsl:value-of select="desc" />
										</div>
										<div>
											(<xsl:value-of select="count(toc//item)"/> pages)
										</div>
									</div>							
								</a>
							</td>
							
						</tr>
					</xsl:for-each>
				</xsl:for-each>
			</table>
					
			
		</div>
	</xsl:template>
	
</xsl:stylesheet>
