<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:nk="http://netkernel.org" xmlns:xrl="http://netkernel.org/xrl">
    <xsl:output method="xml"/>
	
	<xsl:template match="/spaces">
		<div>
				<xsl:apply-templates select="space"/>
		</div>
    </xsl:template>
	
	<xsl:template match="space">
		<div style="font-size: 300%;"><xrl:include href="xrl:logo"/></div>
		<h3><xsl:value-of select="id"/> : <xsl:value-of select="version"/></h3>
		<table>
			<xsl:apply-templates select="docs/doc"/>
		</table>	
	</xsl:template>
	
	<xsl:template match="doc">
		<tr>
			<td>
				<a href="/doc/view/{id}">
				<xsl:value-of select="id"/>
				</a>
			</td>
			<td>
				<xsl:value-of select="name"/>
			</td>
			<td>
				<xsl:value-of select="desc"/>
			</td>
			<td>
				<xsl:value-of select="uri"/>
			</td>
			<td>
				<xsl:value-of select="icon"/>
			</td>
			<td>
				<xsl:value-of select="keywords"/>
			</td>
		</tr>
	</xsl:template>
	
</xsl:stylesheet>
